Index: NEMO/branches/2020/r12377_ticket2386/cfgs/SPITZ12/EXPREF/context_nemo.xml
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/cfgs/SPITZ12/EXPREF/context_nemo.xml	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/cfgs/SPITZ12/EXPREF/context_nemo.xml	(revision 13540)
@@ -11,5 +11,5 @@
        <variable id="ref_month" type="int"> 01 </variable>
        <variable id="ref_day"   type="int"> 01 </variable>
-       <variable id="rau0"      type="float" > 1026.0 </variable>
+       <variable id="rho0"      type="float" > 1026.0 </variable>
        <variable id="cpocean"   type="float" > 3991.86795711963 </variable>
        <variable id="convSpsu"  type="float" > 0.99530670233846  </variable>
Index: NEMO/branches/2020/r12377_ticket2386/cfgs/SPITZ12/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 13540)
@@ -205,6 +205,6 @@
 !!                                                                    !!
 !!   namdrg        top/bottom drag coefficient                          (default: NO selection)
-!!   namdrg_top    top    friction                                      (ln_OFF=F & ln_isfcav=T)
-!!   namdrg_bot    bottom friction                                      (ln_OFF=F)
+!!   namdrg_top    top    friction                                      (ln_drg_OFF=F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_drg_OFF=F)
 !!   nambbc        bottom temperature boundary condition                (default: OFF)
 !!   nambbl        bottom boundary layer scheme                         (default: OFF)
@@ -216,7 +216,8 @@
    ln_loglayer = .true.   !  logarithmic drag: Cd = vkarmn/log(z/z0) |U|
    ln_drgimp   = .true.   !  implicit top/bottom friction flag
-/
-!-----------------------------------------------------------------------
-&namdrg_bot    !   BOTTOM friction                                      (ln_OFF =F)
+      ln_drgice_imp = .true. ! implicit ice-ocean drag
+/
+!-----------------------------------------------------------------------
+&namdrg_bot    !   BOTTOM friction                                      (ln_drg_OFF =F)
 !-----------------------------------------------------------------------
    rn_Cd0      =  2.5e-3   !  drag coefficient [-]
@@ -339,4 +340,19 @@
    nn_havtb    =    1         !  horizontal shape for avtb (=1) or not (=0)
 /
+!-----------------------------------------------------------------------
+&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  (ln_zdftke =T)
+!-----------------------------------------------------------------------
+   ln_mxl0     = .true.    !  surface mixing length scale = F(wind stress) (T) or not (F)
+      nn_mxlice    = 0        ! type of scaling under sea-ice
+                              !    = 0 no scaling under sea-ice
+                              !    = 1 scaling with constant sea-ice thickness
+                              !    = 2 scaling with mean sea-ice thickness ( only with SI3 sea-ice model )
+                              !    = 3 scaling with maximum sea-ice thickness
+   nn_eice     =   0       !  attenutaion of langmuir & surface wave breaking under ice
+   !                       !           = 0 no impact of ice cover on langmuir & surface wave breaking
+   !                       !           = 1 weigthed by 1-TANH(10*fr_i)
+   !                       !           = 2 weighted by 1-fr_i
+   !                       !           = 3 weighted by 1-MIN(1,4*fr_i)
+/
 !!======================================================================
 !!                  ***  Diagnostics namelists  ***                   !!
Index: NEMO/branches/2020/r12377_ticket2386/cfgs/SPITZ12/EXPREF/namelist_ice_cfg
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/cfgs/SPITZ12/EXPREF/namelist_ice_cfg	(revision 12511)
+++ NEMO/branches/2020/r12377_ticket2386/cfgs/SPITZ12/EXPREF/namelist_ice_cfg	(revision 13540)
@@ -55,4 +55,11 @@
 &namsbc         !   Ice surface boundary conditions
 !------------------------------------------------------------------------------
+   nn_snwfra        =   0             !  calculate the fraction of ice covered by snow (for zdf and albedo)
+                                      !     = 0  fraction = 1 (if snow) or 0 (if no snow)
+                                      !     = 1  fraction = 1-exp(-0.2*rhos*hsnw) [MetO formulation]
+                                      !     = 2  fraction = hsnw / (hsnw+0.02)    [CICE formulation]
+   nn_qtrice        =   0             !  Solar flux transmitted thru the surface scattering layer:
+                                      !     = 0  Grenfell and Maykut 1977 (depends on cloudiness and is 0 when there is snow)
+                                      !     = 1  Lebrun 2019 (equals 0.3 anytime with different melting/dry snw conductivities)
 /
 !------------------------------------------------------------------------------
@@ -81,7 +88,6 @@
 &namthd_pnd     !   Melt ponds
 !------------------------------------------------------------------------------
-   ln_pnd           = .true.          !  activate melt ponds or not
-     ln_pnd_H12     = .true.          !  activate evolutive melt ponds (from Holland et al 2012)
-     ln_pnd_alb     = .true.          !  melt ponds affect albedo or not
+   ln_pnd           = .false.          !  activate melt ponds or not
+     ln_pnd_LEV     = .false.          !  activate level ice melt ponds
 /
 
